0

I am running Minecraft forge 1.14.4 with lots of mods. There are some mods that I want to use as-well that are 1.12.2. I was wondering if I could update the mod / or convert the mod into 1.14.4. Like by using software or editing the mod file? - Dose anyone Know anything about this?

  • 1
    There is no simple way or program to do this. You would need to set up an IDE with the source code of each mod and manually update all of the code inside them individually. Modded development questions are off-topic here, but you can find modded tutorials online if you really want to try to update them. – Zach K Oct 3 at 1:36
3

No. If this was possible, it would save thousands of hours of work for mod developers, who usually need to put in considerable effort to update their mods to new releases.

Mods change parts of the existing Minecraft code. To be able to do that, they need to know what code even to change. Especially from 1.12 to 1.13 a lot of code was changed, so very often you wouldn't even find the same Vanilla code anymore that the mod modifies.

Mods also often need special changes for new versions, for example if a 1.8 mod adds hats, it needs to move them downwards and rotate them when flying with elytra in 1.9+. No automatic converter could consider all these cases.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.